﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page {
    protected void Page_Load(object sender, EventArgs e) {

    }
    protected void SubmitButton_Click(object sender, EventArgs e) {
        if (this.Geolocator.Status != MyControls.Geolocation.GeolocationStatus.Success) {
            this.LiteralResult.Text = string.Format("Geolocation error: {0}", this.Geolocator.Status);
        }
        else {
            this.LiteralResult.Text = string.Format("Latitude: {0}°; Longitude: {1}°; Accuracy: {2} m; Altitude: {3} m; Altitude accuracy: {4} m; Heading: {5}°; Speed: {6} m/s (as of {7:D} {7:T})",
                this.Geolocator.Latitude,           // 0
                this.Geolocator.Longitude,          // 1
                this.Geolocator.Accuracy,           // 2
                this.Geolocator.Altitude,           // 3
                this.Geolocator.AltitudeAccuracy,   // 4
                this.Geolocator.Heading,            // 5
                this.Geolocator.Speed,              // 6
                this.Geolocator.Timestamp);         // 7
        }
    }
}